RaceCon 2.14.0.3 Release Notes

This file documents all new features, enhancements and visible changes since 2.13.0.0.
For detailed information about the changes included in any specific version of RaceCon, please see the
change log file of the specific release.


Requirements

  RaceCon requires at least:
  - A computer with a 1 GHz CPU and 1 GB of RAM
  - Microsoft Windows 10 or higher and
  - .NET Framework 4.8 or higher.

  You can download the required .NET Framework installer here:
    https://dotnet.microsoft.com/download/dotnet-framework/net48

Summary

  # Added support for CG3 device class
  # Rearranged some of the "Logger" use-case settings. Upcoming devices will support more than
    two logging containers.
  # Added more flexibility to RaceCon license files. This allows the use of multiple user-role levels,
    enabling fine-grained configurability for visibility and protection.
  # Improved the UI for CAN-In and CAN-Out, now also supporting CAN-FD messages with up to 64 bytes
  # Added support for patch files (exports that can be applied as a whole to another project).
  # Merge/Compare now supports opening multiple datafiles at once and applying changes to all of them,
    easing modification of similar DCM/PAR files across a whole fleet of cars.
  # ATTENTION: RaceCon v2.11 introduced an update to the A2L file parser.
    - This change requires A2L files to be compliant to ASAP2 v1.61 syntax as a minimum. It may
    cause issues with projects running older firmware versions that violate the standard. If you
    experience issues opening those projects, please contact us via e-mail, or send us a RaceCon
    feedback using an older RaceCon version, with a detailed description and at best the
    affected A2L/PST files and RLPs.





New Features

  # 23803: Prevent crash after return from system's hibernate mode

  # 23798: Added support for MeasByNameLimits parameters in program archives, to
           ensure respecting technical limitations in the way RaceCon prepares
           configurations for logging data or telemetry.

  # 23791: Improved handling duplicate names for Telemetry recordings in
           situations where case-insensitive duplicates exist. There are still
           situations possible, where duplicates happen, if multiple channels on
           the same device only differ by case-sensitivity

  # 23789: Added support for MeasByNameLimits parameters in program archives, to
           ensure respecting technical limitations in the way RaceCon prepares
           configurations for logging data or telemetry.

  # 23771: Added 'Off' Rate to PPM4 standard rates, allow to define additional
           (Highspeed) Rates (SupportedRates property) for PPM4

  # 23770: Implemented Array channel handling for MeasByName configuration

  # 23759: Added an option to (re)create the dcp.ini file, accessed from the
           telemetry right-click menu on the system overview project tree.

  # 23729: Adjusted "Send feedback" icon and added a ribbon button

  # 23709: Force install of .NET Framework 3.5 if missing

  # 23705: Changed UI behavior, so a dataset migration can take place, even when
           not all device parts (e.g. ECU or Logger) do have a valid dataset.
           Only valid datasets are migrated.

  # 23569: Improved user experience when changing the license for users with
           multiple licenses.

  # 23559: Capture only the MainWindow for the QFA

  # 23532: When determining if an element is visible when role-based licenses
           are used, only 'owned' roles will be considered from now on, instead
           of both 'owned' and roles the user is allowed to change visibilities
           for.

  # 23494: Allow to change separator between measurement label and device suffix
           for Telemetry dcp_xxxx_yy.ini configurations

  # 23487: Limited parameter file import & exports to use HEX / S19 formats.

  # 23486: Improved CAN Out message overlap check, added CAN Out version check
           at DBC import of CAN Out messages and fixed some minor ui update and
           button activation issues at CAN Out message dialog.

  # 23390: Display units are adjustable now for fuel computation module.

  # 23389: Dynamic logging container support

  # 23385: Added possibility to add channels from vehicle measurement sources
           (Laptrigger, Fuel, Speed) to a statusblock definition.

  # 23339: Extended HEX and S19 file formats with custom data to improve program
           archive checks and ensure importing these datasets is only allowed on
           compatible firmware.

  # 23321: Add support for exporting and importing element visibilities to/from
           visibility CSV files. This feature was removed when support for
           extended visibilities was added.

  # 23303: Support for FIX_AXIS_PAR_LIST

  # 23271: Added an XCPLog

  # 23270: Added new Powerbox related libraries to support Measurement by name
           feature.

  # 23261: Supporting multiple Telemetries (up to one per Logger)

  # 23244: Removed the ability to set telemetry rates in the logging use case,
           if telemetry is not visible to the specific role.

  # 23241: Allow standalone flashing with PBX suite PST files.

  # 23235: Added the ConsoleFlashTool.exe to support flashing devices using
           commandline

  # 23225: DLPToXMl AWM update

  # 23170: Warn if recent project could not be loaded

  # 23165: Ordered can signals as Signals, Multiplexer, MultiplexedSignals in
           the can.xml file.

  # 23159: Prefer Logger over ECU for Laptrigger,Fuel and Speed sources

  # 23150: Print XCP programming failures in red color

  # 23134: Support for VCU-ECU x2 instead of VCU-ECU+VCU-Logger

  # 23120: PSU1.0 CAN Baudrates are now validated

  # 23116: Removed the restriction to require GPS Laptrigger as source for GPS
           segmentation.

  # 23083: Supporting MAX_BUS_LOAD for XCPonCAN Devices, and an "off"
           measurement rate for all devices

  # 23082: Added Master/Slave Blockmode support for XCP

  # 23070: Improved clone dialog descriptions and added "Save As" dialog to
           Clone Extract.

  # 23036: Initial support for CG3

  # 23030: No longer requesting checksums on variables memory segments for Bosch
           XCP devices.

  # 23023: Improved math container export/import by preventing accidental math
           constant overrides and importing math constants that are in use
           automatically.

  # 23022: Added support for multiselect, type filter and text filter in Import
           dialog

  # 23007: Enabled syslog upload for devices CAS-M3, MCU4, MS24 (all 3 types)
           and VCU-ECU. Added a new context menu link for devices to upload
           syslog directly for the specific device.

  # 22974: Implemented Float64 support and PSU1.0 project update from firmware
           flash

  # 22968: Added two new macro actions to allow users to switch single device
           between WP and RP.

  # 22966: Support for CAN-Version 5

  # 22964: Updated default monotony behavior to strictly monotonous increasing
           from monotonously increasing.

  # 22962: Updated Rates dialog on Cal/Meas pages to allow multi-select to
           change multiple entries.

  # 22958: Added a new prompt to the installer to prevent accidental overrides.

  # 22942: Set BusOffAutoReset on Peak adapter

  # 22907: A new checkbox is added to the "Workspace" section in the options
           panel which will allow users set the default behavior of the "Keep
           current device settings" checkbox.

  # 22849: Add support for A2L Keyword PHYS_UNIT

  # 22822: The Toolbox tooltip for the 'Telemetry' device is now simplified

  # 22816: UI support for CAN-FD for CANIn/CANOut

  # 22815: Added support for importing patch files.

  # 22812: Adjusted PSU1.0 Implementation

  # 22761: A more detailed message is shown, when there occurs a specific device
           connection issue.

  # 22719: Visibility and protection features have been revamped to allow for
           multiple project roles.

  # 22713: Supporting a License Manager to add/remove/select Licenses

  # 22694: Allowed bulk opening and editing of DCM files in Merge/Compare view,
           by multi-selecting DCMs in the open dialog and only providing one
           common A2L file for all of them.

  # 22644: Refactored math channels to improve code architecture.

  # 21200: Added SimDevice to the default license

  # 18979: Extended Macro Action SetBits to MacroAction Set/Clear Bits

  # 18353: 'Reset to reference' requests now user confirmation when a COMAxis is
           involved

  # 14072: Allow to select the target CAN Bus in CANIn and CANOut dialogs


Resolved Issues

  # 23821: Fixed PPM1 device support in RaceCon v2.14. For example this includes
           MS5, M60, C60, DDU7, DDU-S2+, MSI60, ...

  # 23819: Fixed crash caused by CG3.2 recording limits check

  # 23810: MCU4 IP address is no longer reset to default, after firmware update
           or change program archive, when the device uses a discover position.

  # 23802: Fixed a crash in Property Grid

  # 23800: Prevent a crash adding a project migration for unexpected
           Laptrigger/Fuel/Speed configuration

  # 23796: Fix writing DLPtoXML condition constant list as physical values

  # 23795: Fixed a bug that allowed a conditional function dialog to be closed
           with more than 4 channel references, leading to message log errors.

  # 23786: Changed some aspects of the device offline / failsafe connection
           handler, to be in line with RaceCon v2.12 implementation. This shall
           help to address some rare connection issues.

  # 23782: Handle WMI crash (used to watch USB CAN connectors)

  # 23781: Improved performance when dealing with configurations with lots of
           math channels.

  # 23778: Fixed a license signer crash when trying to open a license/license
           request

  # 23772: Sentinel file protection now covers more scenarios that could lead to
           bad device configurations when sending or deleting some files results
           in an error.

  # 23768: Fixed a bug that disabled 'Copy WP to RP' from device context menus.

  # 23766: Reenable setting a logging rate in logger channel context menu

  # 23752: Fixed a bug that prevented macros from running if their required
           measurements are not on the current measurement sheet.

  # 23750: Fixed UI crash in CANLog CANSendMessage dialog

  # 23749: Corrected existing channel group info for not pastable logging
           channels

  # 23746: Fixed VCU-ECU Icon

  # 23730: Handle PTWinSim START_STOP_DAQ_LIST behavior correctly

  # 23728: Made saving a visibility file work with data view multiselection.

  # 23725: Updated a third party library (VC++ redistributables by Microsoft)
           for a complete and successful installation of RaceCon Setup. This is
           required when loading the provided FlashApi.dll file in RaceCon.

  # 23721: Fixed a bug that caused math channel and conditional function
           configuration errors after renaming a math channel (or a conditional
           function) that is itself used in other math channels (or conditional
           functions).

  # 23720: Fixed crash on handling keyboard RETURN key

  # 23715: Fixed a bug that allowed the creation of math channels whose names
           conflict with those of math constants.

  # 23714: Fixed a bug that prevented the replacement of missing links in
           imported formulas.

  # 23712: Fixed handling VMS channels for MeasByName Sinks

  # 23698: Fixed several bugs related to adding and importing math constants.

  # 23696: Fix FTP timeout handling for usernames, that require to stop the
           logging.

  # 23690: Titles of checkboxes on the DDU10/11 configuration panel are visible
           again.

  # 23688: Fixed creation of Telemetry XML config due to no longer existing
           contents.

  # 23686: Fixed the axm.xml output to always contain signed physical AWM
           outputs.

  # 23685: Fixed a bug where Read From & Write From buttons were not working on
           the device extra ribbon.

  # 23684: Fixed a bug that caused the wrong license to be used when opening a
           project with a license name reference.

  # 23678: Fixed setting Telemetry datarate

  # 23659: Fixed channel linking when typing in the channel name in math
           channels.

  # 23656: Fixed a bug that caused formula validation to break in some cases
           when formulas contain constants.

  # 23652: Fixed defining and editing math constants.

  # 23647: 'Keep current device settings' and 'preserve dataset' checkboxes are
           visible again on the program archive selection dialog.

  # 23644: Fixed a bug that would reset the entire axis from within the 'change
           axis' dialog before the user confirms those changes with 'ok'.

  # 23643: License is now checked before allowing the user to proceed with
           flashing from within the standalone flash tool.

  # 23637: Fixed an issue that was causing poor performance while copy/pasting
           values in Maps.

  # 23636: Fixed a bug that caused the standalone flash tool to fail at startup
           in some cases.

  # 23635: Fixed QFA screenshot capture of only the RaceCon window. This was
           broken when used with some resolutions/monitor settings.

  # 23628: Fixed Pin channel description

  # 23626: Support CCP DAQList and CCPMaster configuration using different
           Source+Raster Numbers

  # 23623: Fixed UI crash, fixed factor/offset handling

  # 23622: Display 'property grid'/'element order control now supports a
           protected display page

  # 23618: Fix header cell highlighting on measurement/calibration page when
           soft or hardlimit is violated.

  # 23617: Improved handling of multi-role visibilities to more closely align
           with customer expectations.

  # 23616: Prevent to reset partly selected axis points on monotonous axis

  # 23609: Ensure deterministic CAN In address calculation for overlapped CAN In
           channels

  # 23605: Fixed crash at CAN Out configuration that occurs if an invalid pst is
           used with missing CAN Out checksum defintions.

  # 23604: Fixed handling statusblock selection changes

  # 23603: Fixed a potential crash in the "Edit axis" dialog and improved
           user-experience, by only checking for monotony, when changes are
           about to be stored in the dataset and not for every single change
           while editing values inside the "Edit axis" dialog.

  # 23589: Fixed fallback from FailSafe to disconnected state.

  # 23588: Fixed a bug that prevented adding a second discover-capable device
           into a project.

  # 23586: Fixed an initialization issue of math channel min/max and
           factor/offset parameters, available in expert mode.

  # 23585: Add PLGroupAdjustment container for PPM2 devices

  # 23580: Fixed a crash that used to occur when cutting elements.

  # 23577: Fix drawing the undo/redo dropdown on first opening after start of
           RaceCon. Issue introduced by DevExpress update, necessary to fix
           #23398

  # 23573: Added an additional version of Microsoft VC++ redistributables to the
           setup process, to ensure availability of referenced library
           msvcp140.dll

  # 23565: Preventing crash when opening multi select dialogs only when all
           channels are linked

  # 23563: Fixed a crash when sending logger configuration to device.

  # 23556: Implemented a solution which will prevent a potential deadlock or
           crash happening when selecting elements in Merge&Compare view.

  # 23551: Fixed selection in CAN config sheet

  # 23549: Fixed MS25/MS46 update firmware. Support partially filled DAQ frames,
           prevent distributing data over multiple DAQ frames for CCP.

  # 23547: Handle a list update crash and empty CAN ID numericUpDown controls in
           CANIn/-Out views

  # 23545: Enforce to deliver any error created to the user and enforce
           connection detection while running the flashprocess

  # 23541: Fixed a measurement/calibration bug that prevented saving
           title/description changes.

  # 23540: Fixed a bug that prevented adding multiple DDU10s to a project.

  # 23539: Implemented default bahavior on EventContainer sheet

  # 23537: Fixed a bug that used to occur when migrating protection to the new
           role-based projects.

  # 23536: Forced ribbon update on opening Display Use Case

  # 23530: Fixed a bug that caused CAN-Out channels to be lost during DBC import
           if multiple channels with the same name were included.

  # 23526: Importing DCM files, it was possible, that the text based file format
           and exact value representation in device memory had rounding and
           quantization differences. Up to now, monotony checks have been done
           on the import values, instead of properly quantized and rounded
           device memory values. The problem was, this could have accepted axis
           value updates, that actually would violate strict monotony
           requirements, which should have been abandoned. This behavior is now
           fixed and checks are done against device memory representation
           values.

  # 23525: Improved axis monotony check behavior, when importing parameter
           files, to respect available axis monotony settings on the
           corresponding calibration labels.

  # 23523: Corrected IDs count for CANOut versions > 3

  # 23521: Fixed tab order in Fuelconsumption dialogs

  # 23515: Fixed a crash for DDU10/11 when a new display element was focused.

  # 23509: Fixed DCM parser for ValueBlock type

  # 23508: Fix crash on resetting axis points for non-COMAxis Curve/Maps

  # 23507: Fix crash while cancelling Macros

  # 23505: Fixed Counting for used CANInIDs, CANOutIDs, CANInChannels

  # 23501: Fixed a crash that could occur when adding a new CAN Out channel to a
           CAN Out message, under certain conditions.

  # 23497: Fixed showing the MenuSheet channel link uisng UIM V2 display
           configuration

  # 23482: Fixed a bug that prevented editing invisible CAN-In channels by OEM
           and master license holders.

  # 23481: Fixed a bug that prevented the initial update of the info log window
           when opening a project in some rare cases.

  # 23478: Fixed a crash that occurred when adding an existing channel to an
           osci.

  # 23474: Fixed crash creating telemetry configuration

  # 23472: Fixed a bug that used to leave characteristic values uninitialized
           after program archive change, which led to failsafe mode in some
           cases.

  # 23467: Fixed a crash when adding already existing channels to an
           oscilloscope.

  # 23463: Fixed a bug that prevented changing visibilities on newly created
           projects with master licenses.

  # 23461: Fixed a bug that prevented opening the calibration/measurement use
           case when all devices are data invisible.

  # 23456: Fix high CPU load while measuring online values

  # 23455: Fixed a bug where Cal/Meas sheet name updates were not triggering a
           proper re-render.

  # 23452: Prevent switching UseCase while double clicking column header in
           DataView

  # 23451: Updated the information being displayed when deleting multiple
           channels from logging sheet.

  # 23444: Support the measure Macro WatitUntil/WriteCell required channels from
           multiple ECUs; Configures all Macro required channels only once

  # 23443: Improved error handling and reporting at parameter file import.

  # 23441: Improved handling of measurements requested by macro execution.

  # 23433: Export to DBC: Corrected DBC file frame format output

  # 23431: Keep the selected row position in Import ambigous Labels page

  # 23429: Fixed channel selection for CAS-M3 speed and yaw rate inputs in
           display settings sheet

  # 23426: Reanimated the "Change To osci" command in ribbon and context menu

  # 23424: Prevent WPF OutOfMemory crash

  # 23423: Allow to edit the UIM Root page label again

  # 23419: Fixed displaying the Laptrigger segment timing table

  # 23418: Fixed executing macros by clearing the DAQ record store before
           interpreting values

  # 23417: Fixed updating "Diff Count" as well as Cal/Meas pages after CopyPage
           command.

  # 23414: Fixed an issue that could prevent sending new PBX configurations
           using PBX manager, if no meas-by-name blocks have been used in that
           configuration.

  # 23413: Fixed a bug that allowed macros to change the active page of a device
           even if not allowed.

  # 23411: XCP DAQ algorithm now supports length constraints from A2L

  # 23410: Fixed an issue where adding ≥48 value cals caused curves or maps to
           appear red hashed on the measurement page.

  # 23406: Fix requesting (single) adaptive values

  # 23404: Fix opening the CAN Bus view from project tree

  # 23400: Fixed crash with channel length control at CAN Out Message dialog and
           a wrong length initialization in the CAN Out Message placement
           control.

  # 23398: Fixed a crash that occurred when interacting with a hidden panel
           after undocking another panel from the same dock panel.

  # 23397: Fixed a crash that could happen while adding a "Speed" computation
           module to the project.

  # 23392: Fixed crash on restarting syslog and fixed ui bug in syslog window
           that re-enables live syslogs.

  # 23387: Fixed deadlock in DisplayRenderer by using the ThreadPool instead...

  # 23386: Fixed bug that DataView fails to switch valid input channels on user
           select of logging groups in logger use case.

  # 23383: Improved migration to new visibility roles.

  # 23381: Fixed creating CAN In V2 configuration

  # 23377: Prevent potential crash in ProjectTree

  # 23376: Fixed a crash in Chart3D control when switching the charts in the
           chartview

  # 23373: Fixing running out of thread pool threads. Restores the previous
           behavior by using the existing polling thread to process DAQ threads
           asynchronously

  # 23367: Fixed 4 MBit/s datarate setting for CAN-FD.

  # 23365: Temporarily reverted software rendering as it was causing unexpected
           issues for customers who weren't using it.

  # 23362: Fix Drag&Drop handling from Dataview

  # 23355: Added WP/RP control support for all logger devices at measurement and
           calibration use case. For logger devices only switching between work
           page and reference page is allowed.

  # 23353: Handle DAQ records interpretation in an own thread to prevent
           affecting response handling

  # 23352: Supports export to DCV2,PAV2; fixes exporting/importing verbal
           computations to PAR files

  # 23347: Fix handling device icons in dataview

  # 23344: Fixed a crash when opening the merge/compare view that used to occur
           when A2L parsing fails in some cases.

  # 23342: Fixed logfile creation of FlashApi client.

  # 23336: Fixed handling device filter buttons in data view

  # 23334: Improved Design Locked button tooltip for users who bypass this
           protection.

  # 23332: Racecon error dialog will be displayed in the taskbar if there is an
           error during the project load.

  # 23317: Prevent crash and fix switching measurement rates from osci

  # 23316: Added the ability to store current settings for default visibilities
           in the project.

  # 23314: Added the ability to enable software rendering by using command line
           arguments.

  # 23312: Fixed a bug that broke CAN v5 configuration when multiple CAN
           interfaces were used.

  # 23310: Fixes doubled VMS config device entries importing from v2.12.0.x in
           import dialog

  # 23308: Fixed a bug that used to cause a single value characteristic to be
           linked wrong if adding it together with a map or a curve on
           Calibration/Measurement.

  # 23304: Fixed CAN.xml syntax for multiplexers in CAN Out configuration (CAN
           v5)

  # 23301: Fixed the bug where dataview focuses on a wrong element instead of
           the last selected element, after doing a drag&drop.

  # 23296: Fixed merging User settings Use case Layouts.

  # 23294: Fixed firmware update dialog file selection

  # 23289: Fixed a bug that broke the import dialog's ambiguous label selection
           UI.

  # 23285: Fixed a crash if NVRAM characteristics have been used on Cal/Meas
           pages via XCP on CAN

  # 23282: Fixed the issue that exporting CAN Out messages to DBC were failing.

  # 23277: Fixed datapanel's scaling issue on small sizes.

  # 23268: Adjusted CAN IN config sorting for row counter values.

  # 23267: Added support for keyboard and drag&drop scrolling in Macro action
           list

  # 23265: Improved license selection dialog's visibility by adding it to the
           taskbar and making it appear above all other windows.

  # 23263: Fixed an issue on the Cal/Meas page where macro buttons remained
           visible on the UI after being deleted.

  # 23262: Fix for entering NumricUpDown values

  # 23259: Fixed a bug where the floating panels stayed behind the RaceCon upon
           startup

  # 23258: Fixed Dataview filter

  # 23256: Prevent accessing xcp paging functions, when xcp CAL/PAG is not
           available

  # 23255: Fixed the issue which opening the math channel dialog marked the
           project as dirty.

  # 23254: Renamed Show empty page option as Show empty project in general
           options.

  # 23234: Fixed XCP Rate in DAQList

  # 23229: Rejected pst files with invalid ip address format for PBX90.

  # 23224: Fixed math formula parsing issue when there is parentheses.

  # 23223: Added a warning message when importing a signal with different
           multiplexer settings.

  # 23221: Fixed tooltip texts of characteristics with map type.

  # 23216: Fixed a bug that used to prevent adding a VCU if its device
           description does not contain an engine ECU.

  # 23214: Prevent creating more than allowed menu triggered events

  # 23204: Fixed crash on creating a math channel

  # 23202: Fix updating system overview image

  # 23201: Fixed a bug that broke math channel references after changing a
           vehicle measurement source's config device in some cases.

  # 23199: XCP: Fixed handling unexpected SYNCH responses and prevent stopping
           the WriteBytes retry mechanism

  # 23198: Fix crash on UpdateFirmware using device context

  # 23196: Fix DDU11 background bitmap scaling

  # 23193: Fixed CAN mailbox indexing in can.xml configuration files for latest
           logger releases supporting CAN-FD

  # 23179: Improved dataview search field behavior for shortcut keys tab, home,
           end, page up and page down.

  # 23177: Fixed moving measurements on the Cal/Meas sheets from one container
           to another.

  # 23168: Improved synchronizing measurement list state between RaceCon and
           devices, after reconnects.

  # 23167: Fixed check for valid constant names using default name validation

  # 23162: Fixed ParFileExport preselection when called from measurement page

  # 23157: fixed handling multiple XCP answers for a single XCP request

  # 23154: Fixed the crash when pressing the delete key in an empty system
           overview.

  # 23153: Fixed a bug that would cause charts and maps to lose characteristics
           (or gain duplicate characteristics) in some cases.

  # 23149: Fixes the DDU10/11 toolbox layout

  # 23144: Fix missing updates in CAN overview

  # 23142: Fixed IDLE loop by casting in the correct direction

  # 23135: Fixed updating adaptive characteristics. Up to now, only a certain
           number of adaptives, depending on the update rate, has been
           cyclically updated by RaceCon. Now all adaptives will be properly
           updated.

  # 23130: Fixed DDU7/8/9 and DDU-S2+ display configuration serialization.

  # 23129: Fixed projected getting marked as dirty after initiating and
           cancelling firmware update.

  # 23128: Fixed handling invisible logger on using BuiltIn-license

  # 23127: Reduced likelihood to miss out on XCP responses, which delayed
           further requests of the XCP master by waiting for XCP response
           timeouts.

  # 23124: XCP command PROGRAM_RESET return values are now properly processed. A
           timeout is interpreted as positive result, as defined by XCP
           specification.

  # 23114: Fixed a bug that caused devices to turn 'orange/yellow' instead of
           'green' after opening some projects with UIM menu channel references.

  # 23102: Fixed a crash that used to occur with some math formulas when opening
           the math sheet.

  # 23098: Improved Open context menu support in Infolog, fix for visibility
           leak, too

  # 23097: Prevent blocking the UI from CAN hardware access, made an error
           message for stuck MSABox access.

  # 23092: Fixed a bug that would cause the post-processing plugin to be
           overwritten when opening a rex file in some cases (when the rex file
           was generated from the exact same project, but say an older device
           firmware version).

  # 23089: Fixed switching measurement rates

  # 23088: Fix crash in DataView building "Used in" context menu

  # 23087: Fixed ribbon's 'Get configuration' functionality when triggered from
           Cal/Meas page.

  # 23081: Improved visibility behavior for built-in licenses.

  # 23068: Improved LoggingStream handling, store repetition count in project

  # 23063: Fixed the undo/redo action text when editing a math channel.

  # 23058: Fixed Ambiguity page visibility after linking elements during an
           import.

  # 23055: Prevent crashes for comparing 64 bytes variables with 32 byte
           variables.

  # 23052: RaceCon will now ask for user confirmation before canceling macros in
           more cases.

  # 23045: Prevented crashes when Racecon displays long channel information in
           the information toolstrip menu in devices with low resolutions.

  # 23043: (Re)Enforced to upload non-initialized PBX data segments from upload
           even if used as Timemaster

  # 23040: Fixed a bug that caused double links to elements that should only
           have a single link only. This could cause devices to turn
           'orange/yellow' instead of 'green' at unexpected times due to corrupt
           projects.

  # 23034: Fixed the incorrect project state issue after loading a project.

  # 23026: Stabilized info panel when dragging items in the display use case.

  # 23025: Fixed a bug in math channel formula parsing logic that prevented
           saving valid formulas when they contained constants whose names
           matched a channel substring.

  # 23024: Fixed crash on 'Remove user defined constants from formula'

  # 23021: Fixed wrong icons in the parameter export dialog.

  # 23018: Fixed macro display name not being stored issue.

  # 23016: Fixed the DDU10/11 display element jumps away problem in display use
           case.

  # 23009: Fixed requesting adaptive characteristics

  # 22991: Fixed the displayed information in the data panel for cases when a
           characteristic is not selected.

  # 22989: Fixed a crash that used to happen sometimes when trying to drop an
           element onto a measurement/calibration map.

  # 22987: Renamed Fudge factor label as Correction factor on GPS trigger.

  # 22980: Fixed filter reset after dragging elements on
           Calibration/Measurement.

  # 22978: Fixed statusblock channel DCP entry for characteristic arrays of type
           FLOAT

  # 22967: For CAN-OUT messages, import/export now stores the DLC value

  # 22963: If a macro is running on a measurement page and user changes away
           from measurement sheet, a popup asking for confirmation to cancel
           macro execution is showed up now.

  # 22960: Fixed an issue that caused the statusblock check for arrays (FitsIn
           method) to disregard the source device. Measurement blocks and copy
           sequences are now correctly grouped by device, even if a sequence
           would fit into an existing copy sequence of another device.

  # 22957: Crash prevented when no telemetry logger is selected in the Telemetry
           sheet

  # 22951: Fixed issues with statusblock indexing, potentially showing wrong
           values in Darab, when arrays of 2 or 4 byte characteristics are used
           in the statusblock

  # 22950: Fixed a bug in Measurement & Calibration page which was causing
           unexpected size change when resizing controls.

  # 22948: Fixed can log send configuration button visibility after switching
           between licences.

  # 22940: Fixed a crash in Merge&Compare which happens when save dialog is
           cancelled without saving.

  # 22937: Fixed an issue, that reset decimal places to default on import of
           Calibration/Measurement sheet elements.

  # 22936: The layout of the Export Parameters dialog is now properly anchored
           to the top right.

  # 22933: Fixed synchronizing non-TimeMaster-PBX as an ECU

  # 22930: Added a popup to ask for deletion on an empty CAN message when CAN
           channels are deleted.

  # 22927: Fixed channel linking when typing in the channel name in math
           channels.

  # 22926: Fixed the laptrigger creation issues by making sure that laptrigger
           is always added under the vehicle.

  # 22923: Fixed connecting to ECU if no project was loaded before

  # 22921: Extend the range of verbal conversions to support up to 64-bit
           conversion values.

  # 22920: Fixed a bug that prevented replacing existing oscilloscope inputs
           with new ones via right-click drag.

  # 22919: During the creation of the MS7 device, the wrong title was fixed

  # 22905: In the Discovered Devices dialog, the bug of the Legend Panel
           overlapping with the table below is fixed

  # 22902: Implemented XCP MTA tracking to prevent disconnects while downloading

  # 22900: Telemetry .ini files can now be created at the RaceCon project
           folder.

  # 22899: A potential RaceCon crash, by forcefully closing the flash dialog
           during a flash procedure is now fixed.

  # 22895: Fixed XCP DAQ Timestamp handling on XCPonCAN

  # 22893: Fixed sometimes not working drag&drop operation, when adding a
           channel to an oscilloscope control on the Cal/Meas sheets.

  # 22888: Calibration/Measurement active sheet is now displayed immediately
           when switching between projects

  # 22886: Fixed right click drags from the data panel. This allows the user to
           select the UI component that will be added for old-style displays
           (DDU8, 9) and on Calibration/Measuring.

  # 22883: Reduced the memory consumed in the calibration/measurements to
           improve Diff Count performance.

  # 22882: OEM License now displays a ComboBox after an update instead of a
           TextBox

  # 22877: Added parsing A2L XCPplus PROTOCOL_LAYER/DAQ overrides

  # 22876: Fixed a potential data loss, during project load.

  # 22871: Fixed the override entries dialog when pasting 100 entries in total
           and updated the message to be more informative.

  # 22870: Fixed DDU9 sytemoverview image

  # 22867: Fixed opening the correct item when using contextmenu in logging list

  # 22866: Dataview's column sorting issue is fixed.

  # 22865: In a completely new project, when a new device is added, DataView
           panel is now directly updated and filled with elements

  # 22864: Device filter and function list clean up after closing project issue
           was fixed.

  # 22863: Fixed Dataview filter dialog layout

  # 22862: Dataview's resizing issue is fixed.

  # 22854: During the import for Calibration&Measurement, the unsupported
           elements are no longer importable

  # 22853: Crash prevented when pasting some certain elements within DataPanel
           view

  # 22847: Fixed "Write File to..." and "Read File from..." buttons not working
           issue for the extra ribbon.

  # 22845: Fix the Ribbon stack overflow exception in "Read file from"

  # 22839: Prevent UI Label filter on HEX/S19 data import

  # 22838: Fixed setting the FD Flag when sending XCP frames over CAN FD

  # 22837: Fixed crash on switching measurement folder in CAL/MEAS view

  # 22834: Fixed a bug that caused an error message to be displayed when loading
           S19 files when the device is online.

  # 22829: fixed UI crash on creating Laptrigger, Fuel or Speed sensor

  # 22821: Fixed an issue while parsing A2L files on file format v1.7,
           containing verbal conversions.

  # 22818: All oscilloscope user settings (such as range, index, etc.) are now
           properly exported and imported.

  # 22817: Added extra logging to improve experience when debugging issues due
           to WP/RP differences.

  # 22814: Prevent switching connection button while synchronizing devices

  # 22813: Fix a bug that would break math references when they contain channels
           whose names contain a user-defined constant.

  # 22807: Improved data panel memory usage and responsiveness.

  # 22806: Removed the option to open multiple elements via the data panel. This
           is nonsensical and would lead to crashes in some cases.

  # 22805: Collect 'Logged' Undo stack entries to a single one

  # 22804: Broken "Uses" link in DataPanel is fixed

  # 22803: Fixed the drag & drop bug while dragging channels and/or
           characteristics from the data panel.

  # 22801: Fixed a crash that could occur when trying to rename a box element
           using an invalid name via the data panel.

  # 22792: Hitting the ENTER key on DataPanel now allows the items to be added
           to the active work platform

  # 22790: Added an offset in Chart container to display the table properly in
           Measurement/Calibration page to avoid drawing issues with tables
           having a small height.

  # 22754: Allow PRG program archives for PBX90/190 devices to be used by users
           with ForceUnencrypted or Any file type regarding PBX licenses.

  # 22741: Added a warning for missing links in CAN messages on project reload.

  # 15327: Fixed that limit checks triggered false positive blink animations,
           potentially confusing users, even if there are no limit violations.



Troubleshooting and Getting Help

  Contacting Technical Support:
  Before you contact our technical support staff, have the following information available.

  - Your name, title, company name, phone number, and email address
  - Operating system and version number
  - Product name and release version
  - Problem description

  Email: motorsport@bosch.com
